{
Client Access Objects 1.5

Custom property editors

(c) 1998, 1999 Steven P. Goldsmith
All Rights Reserved

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 1, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

sgoldsmith@home.com
http://members.home.net/sgoldsmith/
}

unit caoPropertyEditors;

interface

uses
  Windows, Classes, Controls, Forms, Dialogs, DsgnIntf,
  caoSystemListDlg,

  // Import ActiveX control "Client Access Control Library" before installing.

  CwbctrlLib_TLB;

type
  TsystemNameProperty = class(TStringProperty)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
  end;

implementation

{
Edit system name.
}

procedure TsystemNameProperty.Edit;
var
  SystemListDlg: TSystemListDlg;
begin
  SystemListDlg := TSystemListDlg.Create(Application);
  if SystemListDlg.ShowModal = mrOK then
    SetValue(SystemListDlg.cwbSystemListBox.GetItemText(
    SystemListDlg.cwbSystemListBox.ControlInterface.CurrentSel));
  SystemListDlg.Free
end;

{
Get attributes.
}

function TsystemNameProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog]
end;

end.
